Earlier this month, iPhone hacker Comex mentioned on Twitter that an untethered jailbreak would be available before Christmas. It’s been over a week now and we hadn’t had any status update until MuscleNerd confirmed the release of an untethered jailbreak to be released before Christmas.

Minutes after tweeting the above info, MuscleNerd deleted this tweet, which is nowhere to be found now. So why did he do this?

My guess is that we’re indeed going to get an untethered (maybe even userland) jailbreak for Christmas, most likely for all iDevices. After tweeting about it, MuscleNerd probably felt like he talked too much and chose to delete the tweet rather than being harassed with questions about the upcoming jailbreak. In this case, I think MuscleNerd just wants to underpromise but overdeliver.

That’s good news for jailbreakers. Hopefully we’ll also get some good news about the baseband downgrade tool that is reportedly in the works. As usual, time will tell.

I haven’t updated my iPhone 4 to iOS 4.2.1 yet simply because I don’t want to have to deal with a tethered jailbreak. I’m sure a lot of you are in the same situation. Probably even more of you have updated to 4.2.1 and are now patiently waiting for the untethered miracle.

Tell us about your situation in the comments section below.

[Redmond Pie]

  • eddy

    sweet! Personally I won’t be upgrading as I’m happy on 4.1 and have so many tweaks/themes installed. But I know a lot of people are waiting on this!

  • Im running tethered at 4.2.1 and no probs , phone is constantly on anyways amd dont feel the need to refresh with the 4 after being 3g .Will be nice to go untethered tho for peace of mind.
    Just to add the i4 is so fast jailbroken at last a phone that does what i want (-:

  • jolitzdv_riverside CA

    Im still waiting for the 4.2.1 jailbreak for now im very happy with my jailbroken fon i4 4.1,i hav lots of jailbroken apps n themes,everything works well for me,no complain thats why i dnt want to upgrade yet to 4.2.1

  • Rainrose

    Sweet. Still on 4.1. Patiently waiting for untethered jailbreak.

  • Ace

    Im on 4.2.1 (is that the same as 4.2?) I had jailbroken with redsnow but it kept after one reboot my phone wouldn’t get out of dfu mode! I had to take it to the Apple store and they fixed it but i didn’t JB it again after that 🙂
    Now I’m just waiting for this untethered jailbreak and for things to be a little more secure for 4.2.1 on cydia.

    • Z

      There are tools that let you get out of Recovery mode. You should research.

    • Man, you can use tinyumbrella to get you out of dfu mode.

  • Apple every thing

    Sweet if musclenerd has tweeted that we know its for real i4 still at 4.1 but ive got other devices at 4.2.1 unteatherd and teatherd you need i4 unteatherd @musclenerd @comex and other devs rock cant wait

  • Well, that’s one reason to be happy that I’m rocking the old hardware — JB on 4.2.1. on my iPhone 3G is working just fine and is untethered.

    • Z

      But are you really happy with your old phone?

  • Will

    So initially everyone was saying you must have shsh blobs for beta version to use upcoming untethered jailbreak. Then, some news that another exploit is In works. I’m assuming this one (especially if it’s userland) will be for anyone and not need blobs? This is obviously important to those of us that got new iPhone 4 already on 4.2…

    • Z

      Will, you need to save your blobs once you are jailbroken for an option to downgrade.

  • AnotherBrian

    Glad to see a update, thanks I hadn’t heard anything in a while about a untethered jailbreak. I have just been waiting patiently.

  • Dave

    So with this new stuff coming out .. R we going to see it for the iPhone 4 ?

  • On 4.1 and loving it, don’t want to be caught bra down and have to reboot if i was on 4.2.1 ……great post !

  • topsy

    Sweet Sweet and SUGAR. When did all these sweet things start in IDB. I still have my iphone 3G but the experience of iphone 4 is incomparable. Nothing like iphone 4. It’s Sweet and sugar. Waiting patiently for the jailbreak Tethered jailbreak, uhmm dangerous.

  • Z

    Good news. Time to start backing everything up

  • Will

    Z,
    Thanks for reply. Of course need shsh blobs to downgrade but, I remember when I first read about it there was talk that the first 4.2 untethered jailbreak would use some sort of exploit that required user to have 4.2 beta shsh blobs saved. Anyone else remember seeing that? Just hoping that new one will not require this…

    • Z

      It doesn’t make sense, bud. You have to be on a jailbroken version of a firmware you want to save the blobs for. You won’t be able to save your blobs neither manually nor with Cydia if you don’t have access to the root. What you are talking about is the baseband requirement that was mentioned a few articles ago.

  • Hugo

    They say an unlock for 2.10.04 is forthcoming as well!

  • Devver

    A thing to consider is a lot of tweaks might not be updated to 4.21. I remember having to wait for bitesms, facebreak, etc when I first went to 4.1

  • Jerry Pauley

    I am waiting on the untethered jailbreak. I want to update as soon as it is out.

  • DomPerignon

    My jailbroken iPhone 4 is working perfectly with 4.1 but almost all my apps are already updated to 4.2.1 therefore I am patiently waiting for the unthetered jailbreak to 4.2.1

  • kp

    I bought myself & my wife used 3GSs for Christmas, thinking we could unlock & use with T-Mobile. Both are old bootrom, already at 4.2.1 bb 05.15.04, so I’ve not taken the punge into jb or unlocking them due to the GPS / battery drain reports.

    I really, really hope the Dev Team includes the GPS/ battery drain fixes, or atleast the downgrade tool, so they can be resolved! If not, I guess I’ll have to upgrade to bb 06.15.00, unlock & hope for for the best.

    • RG

      the drain issue has been fixed, google redsn0w 0.9.6b6, and yes you will need to use baseband 6.0.15, works flawlessly

      follow the instructions

      • kp

        @RG Did you encounter the GPS issues? Anyone else encounter them?

  • IVietNam

    I am still waiting to unlock my I4 BB 4.1

  • FBGM$

    I just won’t to know why they keep making jailbreaks and just finish making the unlock for the iPhone 4 “02.14.02” it’s taking them years……

  • Greg

    Im waiting for the i4 on 02.10.04 unlock not jb. =( still this i4 is a very expensive iPod touch. =(((((

  • Dave

    Tell me about it I have a 400 dollar iPhone 4 and I use it for a paper weight:(

    • Z

      Even though that’s funny, that sucks, dude! You can at least use it as an iPod touch, can’t you?

      • Dave

        Yeah but that’s y I have an Itouch lol.. In about to sell it and say forget apple

  • IBirdie

    On 4.1 suffered with battery drains and waiting untethered-jailbreak is out before updating to 4.2.1.

    • Z

      Try rejailbreaking using pwnage tool without hacktivation. No drains here. 4.1

  • bldxbill

    is there any way to downgrade 6.15? for 3g to 5.13? so i can get my GPS bak? and also i need to unlock iphone 4g. 2.10

    • Burge

      No..your stuck with that baseband until apple make a baseband with a higher No. Than the one your on. If you can remember there was a warning before you use the new baseband to unlock you phone..

  • Lucas K.

    Great to hear. I am with you, waiting for the tethered jailbreak to upgrade to 4.2.1.

  • bldxbill

    http://www.iphonedownloadblog.com/2010/12/08/dev-team-working-on-baseband-downgrade-for-easier-iphone-unlock/

    this post states that it might work for 6.15.. lol.. and how about 2.10 for iphone 4g??

  • iphonerrr

    Hello i have a new Iphone 4.2 and i have no SHSH Blobs because it was new. Can i jailbreak my iphone 4with the new jailbreak is gonna come untethered ?

    • Rick Morris

      Same problem here. New iphone 4 already shipped with 4.2.1. Is the userland jailbreak that MuscleNerd is working on also going to require shsh blobs to work?  Also does the current TETHERED Redsnow jailbreak require shsh blobs?  And when the final non beta version of Redsnow is finally available will it require shsh blobs.